com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeBD.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeBDType.Builder
  - - com.io7m.jregions.core.unparameterized.sizes.AreaSizeBD.Builder

- Enclosing class:
    AreaSizeBD

      public static final class AreaSizeBD.Builder
      extends AreaSizeBDType.Builder

  Builds instances of type `AreaSizeBD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaSizeBD` | `build()` Builds a new `AreaSizeBD`.
    `AreaSizeBD.Builder` | `from(AreaSizeBDType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeBDType` instance.
    `AreaSizeBD.Builder` | `from(AreaSizeValuesBDType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBDType` instance.
    `AreaSizeBD.Builder` | `setSizeX(BigDecimal sizeX)` Initializes the value for the `sizeX` attribute.
    `AreaSizeBD.Builder` | `setSizeY(BigDecimal sizeY)` Initializes the value for the `sizeY` attribute.

    - ### Methods inherited from class com.io7m.jregions.core.unparameterized.sizes.AreaSizeBDType.Builder

      `setHeight, setWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaSizeBD.Builder from(AreaSizeValuesBDType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBDType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final AreaSizeBD.Builder from(AreaSizeBDType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeBDType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeX

          public final AreaSizeBD.Builder setSizeX(BigDecimal sizeX)

      Initializes the value for the `sizeX` attribute.
      Parameters:
        `sizeX` - The value for sizeX
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeY

          public final AreaSizeBD.Builder setSizeY(BigDecimal sizeY)

      Initializes the value for the `sizeY` attribute.
      Parameters:
        `sizeY` - The value for sizeY
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaSizeBD build()

      Builds a new `AreaSizeBD`.
      Returns:
        An immutable instance of AreaSizeBD
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com